Subject: a reconnaissance of Debian mirrors

From: "Susan G. Kleinmann" <[email-masked]>
Date: Tue, 18 Jun 1996 11:01:30 -0400

In the process of updating my WWW pages last night, I decided to check all 
the Debian mirrors; given the new release, I thought this might be a good time. 
As a spot check on how uptodate a mirror was, I looked for/at 
unstable/binary/base/base-*.deb.  In particular, I was checking the version
number on base.  

I found several surprises.  
a) One site (ftp.usyd.edu.au) was months out of date only because the
administrator (Andrew Howell) didn't have a mirror account.

b) Most of the international debian.org aliases seem to be broken.
The only exception was ftp.debian.org.au -> ftp.tower.net.au

c) Many sites (including Simon Shapiro's) encourage folks to get more
info from [email-masked].  I saw this in at least one .message file
at the top of the unstable directory.

d) Many sites seem to be missing the base package.  I suspect this is 
because of a bug with a link.

e) A number of mirrors listed on previous emails or in the www.debian.org
Debian FTP sites list seem to be surprisingly out of date or incomplete.
This may be due to aborted mirror runs.  I don't know.

I've written to all (I think) of the administrators about these problems,
but thought you all might want to be aware of the situation.   Also, attached
below please find my updated WWW page.  Feel free to use/incorporate/edit it
as you wish.

I think it would be useful to have a script or two, to check automatically
whether all of these sites (or at least a reasonable number on one's 
continent) are on-line and current.  It would be good to have the output
easily accessible.  Also, folks might want to have a script that ping'd the
sites within some radius of their site, as an indicator of the fastest route
to a host at any particular time.  Perhaps such scripts already exist.
Comments?

Susan Kleinmann
[email-masked]
=================================================
<HTML>
<HEAD><TITLE>Debian Mirrors</TITLE></HEAD>
<BODY>

<H3 ALIGN=CENTER>Debian Mirrors</A></H3>

The official list of Debian mirrors is listed in debian/README.mirrors.  
The list below was gleaned from the debian-user mailing list, and is larger
than the official list.
<P>
Sites marked with an asterisk (*) keep source code.
<P>

<TABLE>
<TR><TH ALIGN=LEFT>Country</TH> <TH ALIGN=LEFT>Host:/Directory</TH> </TR>

<TR><TD>Australia</TD>
    <TD>
    <A HREF="ftp://ftp.debian.org.au/pub/linux/debian">
    ftp.debian.org.au:/pub/linux/debian</A>*, a.k.a. ftp.tower.net.au
    </TD>
</TR>

<TR><TD>Australia</TD>
    <TD>
    <A HREF="ftp://ftp.it.com.au/mirrors/linux/debian">
    ftp.it.com.au:/mirrors/linux/debian</A>*
    </TD>
</TR>

<TR> <TD>Belgium</TD>
     <TD>
     <A HREF="ftp://ftp.kulnet.kuleuven.ac.be/pub/mirror/ftp.debian.org/debian">
     ftp.kulnet.kuleuven.ac.be:/pub/mirror/ftp.debian.org/debian</A>*
     </TD>
</TR>

<TR> <TD>Belgium</TD>
     <TD>
     <A HREF="ftp://ftp.belgium.eunet.net/pub/linux/debian">
     ftp.belgium.eunet.net:/pub/linux/debian</A>*
     </TD>
</TR>

<TR> <TD>Brazil</TD>
     <TD><A HREF="ftp://linux.if.usp.br/debian">
     linux.if.usp.br:/debian</A>*, 
     </TD>
</TR>

<TR> <TD>Costa Rica</TD>
     <TD>
     <A HREF="ftp://simula.efis.ucr.ac.cr/pub/debian">
     simula.efis.ucr.ac.cr:/pub/debian</A>*
     </TD>
</TR>

<TR> <TD>Finland</TD>
     <TD>
     <A HREF="ftp://ftp.funet.fi/pub/Linux/mirrors/debian/">
     ftp.funet.fi:/pub/Linux/mirrors/debian</A>*
     </TD>
</TR>

<TR> <TD>France</TD>
     <TD>
     <A HREF="ftp://ftp.ibp.fr/pub/linux/distributions/debian">
     ftp.ibp.fr:/pub/linux/distributions/debian</A>*
     </TD>
</TR>

<TR> <TD>Germany</TD>
     <TD>
     <A HREF="ftp://ftp.inf.tu-dresden.de/pub/os/linux/debian">
     ftp.inf.tu-dresden.de:/pub/os/linux/debian</A>*
     </TD>
</TR>

<TR> <TD>Germany</TD>
     <TD>
     <A HREF="ftp://ftp.inka.de/debian/">ftp.inka.de:/debian</A>*
     </TD>
</TR>

<TR> <TD>Netherlands</TD>
     <TD>
     <A HREF="ftp://ftp.leidenuniv.nl/pub/linux/debian">
     ftp.leidenuniv.nl:/pub/linux/debian</A>*
     </TD>
</TR>

<TR> <TD>Netherlands</TD>
     <TD>
     <A HREF="ftp://ftp.nluug.nl/pub/os/Linux/distr/Debian">
     ftp.nluug.nl:/pub/os/Linux/distr/Debian</A>*
     </TD>
</TR>

<TR> <TD> Sweden</TD>
     <TD>
     <A HREF="ftp://ftp.lh.umu.se/debian">
     ftp.lh.umu.se:/debian</A>*
     </TD>
</TR>

<TR> <TD>Switzerland</TD>
     <TD>
     <A HREF="ftp://nic.switch.ch/linux/distributions/debian">
     nic.switch.ch:/linux/distributions/debian</A>*
     </TD>
</TR>

<TR> <TD>United Kingdom</TD>
     <TD>
     <A HREF="ftp://ftp.mcc.ac.uk/pub/linux/distributions/Debian">
     ftp.mcc.ac.uk:/pub/linux/distributions/Debian</A>
     </TD>
</TR>

<TR> <TD>U.S. (was Michigan)</TD>
     <TD>
     <A HREF="ftp://ftp.debian.org/debian">
      ftp.debian.org:/debian</A>*.
      Currently, this site has been moved to master.debian.org. 
     </TD>
</TR>

<TR> <TD>U.S. Florida</TD>
     <TD>
     <A HREF="ftp://debian.med.miami.edu/debian">
     debian.med.miami.edu:/debian</A>*
     </TD>
</TR>

<TR> <TD>U.S. (Michigan?)</TD>
     <TD>
     <A HREF="ftp://ftp.microworld.net/debian">
     ftp.microworld.net:/debian</A>*
     </TD>
</TR>

<TR><TD>U.S. Oregon</TD>
    <TD>
    <A HREF="ftp://master.debian.org/debian">
    master.debian.org:/debian</A>* 
    </TD>
</TR>

<TR> <TD>U.S. New York</TD>
     <TD>
     <A HREF="ftp://sun10.sep.bnl.gov/pub/Linux/debian">
     sun10.sep.bnl.gov:/pub/Linux/debian</A> (non-working hours EDT)
     </TD>
</TR>

<TR> <TD>U.S. New York</TD>
     <TD>
     <A HREF="ftp://llug2.sep.bnl.gov/pub/Linux/debian">
     llug2.sep.bnl.gov:/pub/debian</A>.<BR>  
     </TD>
</TR>

<TR> <TD>U.S. North Carolina</TD>
     <TD>
     <A HREF="ftp://sunsite.unc.edu/pub/Linux/distributions/debian">
     sunsite.unc.edu:/pub/Linux/distributions/debian</A>*
     </TD>
</TR>

<TR> <TD>U.S. Utah</TD>
     <TD>
     <A HREF="ftp://ftp.caldera.com/pub/mirrors/debian">
     ftp.caldera.com:/pub/mirrors/debian</A>*
     </TD>
</TR>

<TR> <TD>U.S. Virginia</TD>
     <TD>
     <A HREF="ftp://debian.crosslink.net/pub/debian">
     debian.crosslink.net:/pub/debian</A>
     </TD>
</TR>
</TABLE>

<HR>

The following sites seem to have disappeared, are very far out of date, or
have other accessibility problems at present:

<TABLE>
<TR><TH ALIGN=LEFT>Country</TH> <TH ALIGN=LEFT>Host:/Directory</TH> </TR>
<TR> <TD>Australia</TD> 
     <TD>
     <A HREF="ftp://ftp.usyd.edu.au/linux/debian">
     ftp.usyd.edu.au:/linux/debian</A>* (out of date; needs a mirror account)
     </TD>
</TR>

<TR> <TD>Germany</TD>
     <TD>
     <A HREF="ftp://ftp.informatik.hu-berlin.de/pub/os/linux/packages/debian">
ftp.informatik.hu-berlin.de:/pub/os/linux/packages/debian</A> (out of date)
     </TD>
</TR>

<TR> <TD>Germany</TD>
     <TD>
     <A HREF="ftp://ftp.informatik.hu-berlin.de/pub/os/linux/packages/debian">
ftp.informatik.hu-berlin.de:/pub/os/linux/packages/debian</A> (out of date)
     </TD>
</TR>

<TR> <TD>Netherlands</TD>
     <TD>
     <A HREF="ftp://ftp.nl.net/pub/os/Linux/distr/Debian">
     ftp.nl.net:/pub/os/Linux/distr/Debian</A>.  
     No DNS entry.
     </TD>
</TR>

<TR><TD>United Kingdom</TD>
    <TD>
    <A HREF="ftp://unix.hensa.ac.uk/mirrors/debian">
    unix.hensa.ac.uk:/mirrors/debian</A>* (out of date and incomplete)
    </TD>
</TR>

<TR> <TD>United Kingdom</TD>
     <TD>
     <A HREF="ftp://sunsite.doc.ic.ac.uk/packages/debian">
      sunsite.doc.ic.ac.uk:/packages/debian</A>, a.k.a. src.doc.ic.ac.uk<BR> 
      June 18, 1996:  this site appears to be out of date and incomplete.
     </TD>
</TR>

<TR> <TD>U.S. California</TD>
     <TD>
     <A HREF="ftp://aij.st.hmc.edu/pub/debian">
     aij.st.hmc.edu:/pub/debian</A>*.  <BR>
     On June 18, 1996, this site seems to be inaccessible.
     </TD>
</TR>

<TR> <TD>U.S. Massachusetts</TD>
     <TD>
     <A HREF="ftp://tsx-11.mit.edu/pub/linux/distributions/debian">
     tsx-11.mit.edu:/pub/linux/distributions/debian</A><BR>
     On June 18, 1996, many of the directories at this site were largely empty.
     </TD>

</TABLE>

</BODY>
</HTML>
=================================================